Subject: [PATCH] t4126: this test does not pass SANITIZE_LEAK; quit claiming it does

From: "Elijah Newren via GitGitGadget" <[email-masked]>
Date: Fri, 31 Dec 2021 05:15:02 +0000

From: Elijah Newren <[email-masked]>

Signed-off-by: Elijah Newren <[email-masked]>
---
    t4126: this test does not pass SANITIZE_LEAK; quit claiming it does
    
    My builds in several different topics keep running into this, and I'm
    sure it's a false positive -- I didn't change anything affecting this
    test. I've just been ignoring it and submitting anyway, and I suspect
    others are too.

Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-git-1177%2Fnewren%2Ft4126-apply-empty-is-not-leak-free-v1
Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-git-1177/newren/t4126-apply-empty-is-not-leak-free-v1
Pull-Request: https://github.com/git/git/pull/1177

 t/t4126-apply-empty.sh | 1 -
 1 file changed, 1 deletion(-)

diff --git a/t/t4126-apply-empty.sh b/t/t4126-apply-empty.sh
index 82284d2f45d..ebbac79f20e 100755
--- a/t/t4126-apply-empty.sh
+++ b/t/t4126-apply-empty.sh
@@ -3,7 +3,6 @@
 test_description='apply empty'

-TEST_PASSES_SANITIZE_LEAK=true
 . ./test-lib.sh
 
 test_expect_success setup '

base-commit: 2ae0a9cb8298185a94e5998086f380a355dd8907
-- 
gitgitgadget